System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.MessageContract(IsWrapped=false)

When (or an implementation of ) is called with a instance passed to it, this object is returned to the caller to indicate the results of the registration operation.

Instances of this class are primarily used to pass registration response information from the resolver service to a network client of that service.

Contains response information returned by a peer resolver as the result of a registration operation.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new default instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the supplied registration ID and lifetime.

  that uniquely identifies the newly-registered peer.
  that specifies the lifetime of the peer's registration.
- Method
  4.0.0.0
  System.Boolean To be added.

  Indicates whether the body of the message containing a serialized instance of this type is correctly formed.

  True if the registration response information body is correctly-formed by the sender; false if it is not.

- Property
  4.0.0.0
  System.Guid To be added. To be added.

  Gets or sets a GUID that uniquely identifies the newly-registered peer.

- Property
  4.0.0.0
  System.TimeSpan To be added. To be added.

  Gets or sets the amount of time before a registration expires and is removed by the resolver service.